Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.intblock
Interface FixedIntBlockIndexInput.BlockReader

Enclosing class:
  FixedIntBlockIndexInput

    public static interface FixedIntBlockIndexInput.BlockReader

Interface for fixed-size block decoders.

Implementations should decode into the buffer in `readBlock()`.

Method Summary
`void` | `readBlock()`

Method Detail

### readBlock

    void readBlock()
                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.